Page MenuHomePhabricator

[NFC] Fixes -Wrange-loop-analysis warnings
ClosedPublic

Authored by Mordante on Jan 4 2020, 11:27 AM.

Details

Summary

This avoids new warnings due to D68912 adds -Wrange-loop-analysis to -Wall.

It seems my previous build didn't enable all targets so this should really be the last patch of the series.

Diff Detail

Event Timeline

Mordante created this revision.Jan 4 2020, 11:27 AM

Unit tests: unknown.

clang-tidy: unknown.

clang-format: unknown.

Build artifacts: diff.json, console-log.txt

rriddle accepted this revision.Jan 4 2020, 11:35 AM

MLIR looks fine to me.

You can drop changes to lld. I've fixed lld -Wrange-loop-analysis a few days ago in 681b1be774964a804beabfb7c5e3bdab8f979e4a . (Archive::Child c was also deleted).

For mlir, only mlir/lib/Dialect/Linalg/Utils/Utils.cpp:117:8 needs a fix. I've fixed others in eeef50b1fee91dbe993187324003d2665ceae331.

You can drop changes to lld. I've fixed lld -Wrange-loop-analysis a few days ago in 681b1be774964a804beabfb7c5e3bdab8f979e4a . (Archive::Child c was also deleted).

For mlir, only mlir/lib/Dialect/Linalg/Utils/Utils.cpp:117:8 needs a fix. I've fixed others in eeef50b1fee91dbe993187324003d2665ceae331.

Thanks for fixing those!

Mordante updated this revision to Diff 236239.Jan 5 2020, 5:36 AM

Rebased on master. This adds one new fix and removes the ones done by others.

This revision is now accepted and ready to land.Jan 5 2020, 12:42 PM
MaskRay accepted this revision.Jan 6 2020, 12:23 AM
MaskRay added inline comments.
polly/lib/Analysis/ScopGraphPrinter.cpp
181

auto -> BasicBlock

This revision was automatically updated to reflect the committed changes.
Mordante marked an inline comment as done.Jan 6 2020, 8:46 AM